<table <%= placeholder_table_styles(width:'100%',style: "width:100%;min-width:100%") %>>
  <tr>
    <td>
      <table <%= placeholder_table_styles %>>
        <tr>
          <td>
            <table <%= placeholder_table_styles(width:'100%',style: "width:100%") %>>
              <tr>
                <td>
                  <span style="font-size: 24px; color: #333333;">
                    <%= salutation %>
                  </span>
                </td>
              </tr>
              <tr>
                <%= placeholder_cell('8px', vertical: false) %>
              </tr>
              <tr>
                <td>
                  <span style="font-size:16px; color: #0055d4; font-weight: 600;">
                     <%= summary %>
                  </span>
                </td>
              </tr>
              <tr>
                <%= placeholder_cell('24px', vertical: false) %>
              </tr>
              <% if defined?(button_href) && defined?(button_text) %>
                <tr>
                  <td>
                    <table <%= placeholder_table_styles %>>
                      <tr>
                        <td style="background: #D1E5F5; padding: 8px 12px; border: 1px solid #0055d4; border-radius: 16px; overflow: hidden; text-overflow: ellipsis;">
                          <a href="<%= button_href %>"
                             target="_blank"
                             style="color: #0055d4; text-decoration: none; font-size: 14px;">
                            <%= button_text %>
                          </a>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              <% end %>
              <tr>
                <%= placeholder_cell('40px', vertical: false) %>
              </tr>
            </table>
          </td>
          <%= placeholder_cell('16px', vertical: true) %>
        </tr>
      </table>
    </td>
  </tr>
</table>
